All Libraries | This Library | Package | Class | Use | Tree | Deprecated | Index | Grand Index | Help
|  | Components |
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.sas.taglib.servlet.tbeans
Class ExpandCollapseTag

    com.sas.taglib.servlet.tbeans.ExpandCollapseTag

All Implemented Interfaces:
  java.io.Serializable, javax.servlet.jsp.tagext.BodyTag, javax.servlet.jsp.tagext.IterationTag, javax.servlet.jsp.tagext.JspTag, javax.servlet.jsp.tagext.Tag, javax.servlet.jsp.tagext.TryCatchFinally

    public class ExpandCollapseTag

ExpandCollapseTag is the tag handler class for the sas:ExpandCollapse custom tag . ExpandCollapseTag is invoked by the JSP page to evaluate the sas:ExpandCollapse custom tag during the execution of the page. Tag handler methods are called by the JSP page implementation class at various points during the evaluation of the tag. The tag handler methods in turn call methods on the underlying Transformation Bean object, ExpandCollapse, to execute the methods.

If you need to extend or modify the functionality of the sas:ExpandCollapse custom tag, you can subclass this tag handler class.

For More Information:

Visit the AppDev Studio Developer's Site to access step-by-step examples, white papers and additional usage information at http://support.sas.com/rnd/appdev/.

Refer to the Custom Tag Library Reference for usage information on the sas:ExpandCollapse custom tag.

Note: A snapshot of the AppDev Studio Developers Site is installed on your local Web server when you install AppDev Studio. To access the site from webAF, select Help -> Developer Site.

See Also:
  `BaseExpandCollapse`, Serialized Form

Field Summary

Fields inherited from class com.sas.taglib.BaseBodyTag
`DELIMITERS, RB_KEY`

Constructor Summary
`ExpandCollapseTag()`

Method Summary
`protected void` | `applyAttributes()` Sets the attributes on the underlying IText object.
`int` | `doEndTag()` Process the end tag.
`int` | `doStartTag()` Process the start tag for this instance.
`java.lang.String` | `getCollapseImageDefault()` Returns the collapseImageDefault used for this component.
`java.lang.String` | `getCollapseImageDisabled()` Returns the collapseImageDisabled used for this component.
`java.lang.String` | `getCollapseImageTooltip()` S0863963
`java.lang.String` | `getContent()` Returns the content used for this component.
`java.lang.String` | `getExpandImageDefault()` Returns the expandImageDefault used for this component.
`java.lang.String` | `getExpandImageDisabled()` Returns the expandImageDisabled used for this component.
`java.lang.String` | `getExpandImageTooltip()` S0863963
`java.lang.String` | `getImageLocation()` Returns the imageLocation used for this component.
`java.lang.String` | `getRemoveImageDefault()` Returns the removeImageDefault used for this component.
`java.lang.String` | `getRemoveImageTooltip()` S0863963
`java.lang.String` | `getSaveState()` Returns the save state for this component.
`java.lang.String` | `getStyleClassPrefix()` Returns the style class prefix used for this component.
`java.lang.String` | `getTitle()` Returns the title used for this component.
`protected void` | `initialize(boolean includeAttributes)` Initializes attributes and variables for this tag handler.
`boolean` | `isExpanded()` Returns the expand state for this component.
`boolean` | `isRemoveButtonVisible()` Returns the expand state for this component.
`boolean` | `isSingleButton()` Returns the singleButton state for this component.
`void` | `setCollapseImageDefault(java.lang.String image)` Sets the collapseImageDefault of the component.
`void` | `setCollapseImageDisabled(java.lang.String image)` Sets the collapseImageDisabled of the component.
`void` | `setCollapseImageTooltip(java.lang.String collapseImageTooltip)` S0863963 Set the tooltip for the collapse image
`void` | `setContent(java.lang.String content)` Sets the content of the component.
`void` | `setExpanded(boolean expanded)` Sets the expanded state of the component.
`void` | `setExpandImageDefault(java.lang.String image)` Sets the expandImageDefault of the component.
`void` | `setExpandImageDisabled(java.lang.String image)` Sets the expandImageDisabled of the component.
`void` | `setExpandImageTooltip(java.lang.String expandImageTooltip)` S0863963 Set the tooltip for the expand image
`void` | `setImageLocation(java.lang.String location)` Sets the image location of the component.
`void` | `setRemoveButtonVisible(boolean removeButtonVisible)` Sets the removeButtonVisible to be visible or hidden.
`void` | `setRemoveImageDefault(java.lang.String image)` Sets the removeImageDefault of the component.
`void` | `setRemoveImageTooltip(java.lang.String removeImageTooltip)` S0863963 Set the tooltip for the remove image
`void` | `setSaveState(java.lang.String saveState)` Sets the save state of the component.
`void` | `setSingleButton(boolean singleButton)` Sets the singleButton state of the component.
`void` | `setStyleClassPrefix(java.lang.String value)` Sets the styleClassPrefix of the component.
`void` | `setTitle(java.lang.String title)` Sets the title of the component.

Methods inherited from class com.sas.taglib.servlet.tbeans.BaseTransformationBodyTag
`getCustomAttributes, getEpilog, getLocale, getName, getObjectDataProperty, getProlog, getRender, getRenderType, setCustomAttributes, setEpilog, setLocale, setName, setObjectDataProperty, setProlog, setRender, setRenderType`

Methods inherited from class com.sas.taglib.BaseBodyTag
`doCatch, doFinally, getApplyAttributes, getBodyStrings, getCompositeComponentKey, getInstantiate, getPageContext, getRef, getScope, getTagScope, getWrappedClassName, getWrappedObject, getWrappedObject, loadBeanInstance, newInstance, release, removeFromScope, searchContext, setApplyAttributes, setCompositeComponentKey, setInstantiate, setRef, setScope, setTagScope, setVariableWithinScope, setWrappedClassName, setWrappedObject, validate`

Constructor Detail

### ExpandCollapseTag

    public ExpandCollapseTag()

Method Detail

### initialize

    protected void initialize(boolean includeAttributes)

  Initializes attributes and variables for this tag handler.

  Overrides:
    `initialize` in class `BaseTransformationBodyTag`
  Parameters:
    `includeAttributes` - Set to true if attributes are to be set to default values.

### setStyleClassPrefix

    public void setStyleClassPrefix(java.lang.String value)

  Sets the styleClassPrefix of the component.

  Parameters:
    `value` - The styleClassPrefix to use for the component.

### getStyleClassPrefix

    public java.lang.String getStyleClassPrefix()

  Returns the style class prefix used for this component.

  Returns:
    The style class prefix

### setCollapseImageDefault

    public void setCollapseImageDefault(java.lang.String image)

  Sets the collapseImageDefault of the component.

  Parameters:
    `image` - The default image used for the collapse button.

### getCollapseImageDefault

    public java.lang.String getCollapseImageDefault()

  Returns the collapseImageDefault used for this component.

  Returns:
    The collapseImageDefault image.

### setCollapseImageDisabled

    public void setCollapseImageDisabled(java.lang.String image)

  Sets the collapseImageDisabled of the component.

  Parameters:
    `image` - The disabled image used for the collapse button.

### getCollapseImageDisabled

    public java.lang.String getCollapseImageDisabled()

  Returns the collapseImageDisabled used for this component.

  Returns:
    The collapseImageDisabled image.

### setExpandImageDefault

    public void setExpandImageDefault(java.lang.String image)

  Sets the expandImageDefault of the component.

  Parameters:
    `image` - The default image used for the expand button.

### getExpandImageDefault

    public java.lang.String getExpandImageDefault()

  Returns the expandImageDefault used for this component.

  Returns:
    The expandImageDefault image.

### setExpandImageDisabled

    public void setExpandImageDisabled(java.lang.String image)

  Sets the expandImageDisabled of the component.

  Parameters:
    `image` - The disabled image used for the expand button.

### getExpandImageDisabled

    public java.lang.String getExpandImageDisabled()

  Returns the expandImageDisabled used for this component.

  Returns:
    The expandImageDisabled image.

### setRemoveImageDefault

    public void setRemoveImageDefault(java.lang.String image)

  Sets the removeImageDefault of the component.

  Parameters:
    `image` - The default image used for the remove button.

### getRemoveImageDefault

    public java.lang.String getRemoveImageDefault()

  Returns the removeImageDefault used for this component.

  Returns:
    The removeImageDefault image.

### setImageLocation

    public void setImageLocation(java.lang.String location)

  Sets the image location of the component.

  Parameters:
    `image` - The image location for the button images to be used for the component.

### getImageLocation

    public java.lang.String getImageLocation()

  Returns the imageLocation used for this component.

  Returns:
    The imageLocation image.

### setTitle

    public void setTitle(java.lang.String title)

  Sets the title of the component.

  Parameters:
    `title` - The title to use for the component.

### getTitle

    public java.lang.String getTitle()

  Returns the title used for this component.

  Returns:
    The title of the component.

### setContent

    public void setContent(java.lang.String content)

  Sets the content of the component.

  Parameters:
    `content` - The content to use for the component.

### getContent

    public java.lang.String getContent()

  Returns the content used for this component.

  Returns:
    The content image.

### setExpanded

    public void setExpanded(boolean expanded)

  Sets the expanded state of the component.

  Parameters:
    `expanded` - Set to true for expanded.

### isExpanded

    public boolean isExpanded()

  Returns the expand state for this component.

  Returns:
    True if the component is expanded.

### setRemoveButtonVisible

    public void setRemoveButtonVisible(boolean removeButtonVisible)

  Sets the removeButtonVisible to be visible or hidden.

  Parameters:
    `removeButtonVisible` - Set to true if remnove button is visible.

### isRemoveButtonVisible

    public boolean isRemoveButtonVisible()

  Returns the expand state for this component.

  Returns:
    True if button is visible.

### setSingleButton

    public void setSingleButton(boolean singleButton)

  Sets the singleButton state of the component.

  Parameters:
    `expanded` - Set to true for a single expand/collapse button, false if two buttons.

### isSingleButton

    public boolean isSingleButton()

  Returns the singleButton state for this component.

  Returns:
    True if the component uses a single button, false if two buttons.

### setSaveState

    public void setSaveState(java.lang.String saveState)

  Sets the save state of the component.

  Parameters:
    `saveState` - Set to SAVE_STATE_NONE for no state saving or SAVE_STATE_SESSION to save via session.

### getSaveState

    public java.lang.String getSaveState()

  Returns the save state for this component.

  Returns:
    SAVE_STATE_NONE or SAVE_STATE_SESSION

### doStartTag

    public int doStartTag()
                   throws javax.servlet.jsp.JspException

  Process the start tag for this instance. The doStartTag() method assumes that all setter methods have been invoked before. When this method is invoked, the body has not yet been invoked.

  Specified by:
    `doStartTag` in interface `javax.servlet.jsp.tagext.Tag`
  Overrides:
    `doStartTag` in class `BaseTransformationBodyTag`
  Returns:
    int designating the next course of action for the tag/jsp page.
  Throws:
    `javax.servlet.jsp.JspException` - Thrown if a JspException occurs.
  See Also:
    `BaseBodyTag.setInstantiate(boolean)`, `TagSupport.doStartTag()`

### applyAttributes

    protected void applyAttributes()
                            throws javax.servlet.jsp.JspException

  Sets the attributes on the underlying IText object.

  Overrides:
    `applyAttributes` in class `BaseTransformationBodyTag`
  Throws:
    `javax.servlet.jsp.JspException` - Thrown if a JspException occurs.

### doEndTag

    public int doEndTag()
                 throws javax.servlet.jsp.JspException

  Process the end tag. This method will be called on all Tag objects.

  Specified by:
    `doEndTag` in interface `javax.servlet.jsp.tagext.Tag`
  Overrides:
    `doEndTag` in class `BaseTransformationBodyTag`
  Returns:
    int designating the next course of action for the tag/jsp page.
  Throws:
    `javax.servlet.jsp.JspException` - Thrown if a JspException occurs.
  See Also:
    `TagSupport.doEndTag()`, `BaseBodyTag.setInstantiate(boolean)`

### getCollapseImageTooltip

    public java.lang.String getCollapseImageTooltip()

  S0863963

  Returns:
    the tooltip for the collapse image

### setCollapseImageTooltip

    public void setCollapseImageTooltip(java.lang.String collapseImageTooltip)

  S0863963 Set the tooltip for the collapse image

  Parameters:
    `collapseImageTooltip` -

### getExpandImageTooltip

    public java.lang.String getExpandImageTooltip()

  S0863963

  Returns:
    the tooltip for the expand image

### setExpandImageTooltip

    public void setExpandImageTooltip(java.lang.String expandImageTooltip)

  S0863963 Set the tooltip for the expand image

  Parameters:
    `expandImageTooltip` -

### getRemoveImageTooltip

    public java.lang.String getRemoveImageTooltip()

  S0863963

  Returns:
    the tooltip for the remove image

### setRemoveImageTooltip

    public void setRemoveImageTooltip(java.lang.String removeImageTooltip)

  S0863963 Set the tooltip for the remove image

  Parameters:
    `removeImageTooltip` -

All Libraries | This Library | Package | Class | Use | Tree | Deprecated | Index | Grand Index | Help
|  | Components |
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2009 SAS Institute Inc. All Rights Reserved.